Skip to content

createLocation

POST
/api/v1/locations
curl --request POST \
--url https://example.com/api/v1/locations \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "addressLine1": "example", "addressLine2": "example", "city": "example", "state": "example", "postalCode": "example", "country": "example", "latitude": 1, "longitude": 1 }'

Create location. Requires an authenticated dashboard user.

Media typeapplication/json
object
name
required
string
>= 1 characters <= 120 characters
addressLine1
string
<= 240 characters
addressLine2
string
<= 240 characters
city
string
<= 120 characters
state
string
<= 120 characters
postalCode
string
<= 40 characters
country
string
<= 120 characters
latitude
number | null
>= -90 <= 90
longitude
number | null
>= -180 <= 180
Examplegenerated
{
"name": "example",
"addressLine1": "example",
"addressLine2": "example",
"city": "example",
"state": "example",
"postalCode": "example",
"country": "example",
"latitude": 1,
"longitude": 1
}

Location created

Media typeapplication/json
object
data
required
object
id
required
string format: uuid
name
required
string
addressLine1
required
string
addressLine2
required
string
city
required
string
state
required
string
postalCode
required
string
country
required
string
latitude
number
longitude
number
screenCount
required
integer
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
Examplegenerated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"addressLine1": "example",
"addressLine2": "example",
"city": "example",
"state": "example",
"postalCode": "example",
"country": "example",
"latitude": 1,
"longitude": 1,
"screenCount": 1,
"createdAt": "2026-04-15T12:00:00Z",
"updatedAt": "2026-04-15T12:00:00Z"
}
}

Owner or Administrator required

A case-insensitive matching location already exists